[% BLOCK form_role %]
    <tr class="table_zaakinformatie_tr">
        <td class="table_td_left_zaakinformatie">
            Naam
        </td>
        <td class="table_td_right_zaakinformatie">
            <input
            type="text"
            name="name"
            value="[% params.name | html_entity %]"
            />
        </td>
    </tr>

    [% UNLESS entry %]

    <tr class="table_zaakinformatie_tr">
        <td class="table_td_left_zaakinformatie">
            Bovenliggende afdeling
        </td>
        <td class="table_td_right_zaakinformatie">
            [% INCLUDE widgets/general/ldap_ou_tree.tt input_name='parent' entries=tree %]
        </td>
    </tr>
    [% END %]

    [% IF type == 'role' %]
    [% is_external_assignee=0;

      IF entry && entry.has_db_rights('user') &&
        entry.has_db_rights('dashboard');
      THEN;
        is_external_assignee=1 ;
      END;
    %]

    <tr class="table_zaakinformatie_tr">
        <td class="table_td_left_zaakinformatie">
            Rechten
        </td>
        <td class="table_td_right_zaakinformatie">
          <input
            type="checkbox"
            value="1"
            name="external_assignee"
            [% is_external_assignee ? "checked=1" : "" %]
          >
          Externe behandelaar
          </input>
        </td>
    </tr>
    [% END %]
[% END %]


<form method="POST" action="[% c.uri_for((entry ? '/medewerker/edit' : '/medewerker/add/' _ type)) | html_entity %]">
    <input type="hidden" name="confirmed" value="1" />
    [% IF entry %]
    <input type="hidden" name="dn" value="[% c.req.params.dn | html_entity %]" />
    [%
      values = c.req.params.dn.split('-');
      type = values.0;
      END;
    %]
    <table cellspacing="1" class="table_zaakinformatie">
        <tbody>
            [% PROCESS form_role %]
        </tbody>
    </table>
    <table class="table_ztbmenu">
        <tbody>
            <tr class="table_ztbmenu_tr">
                <td class="table_ztbmenu_tdright">
                    <input type="submit" value="Opslaan" class="button button-primary" id="dialog-submit"/>
                </td>
            </tr>
        </tbody>
    </table>
</form>


